> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Update employment type for a contract

PATCH https://api.letsdeel.com/rest/gp/contracts/{contract_id}/employment-type
Content-Type: application/json

Update the employment type (full-time, part-time, or on leave) and FTE for a Global Payroll contract. Provide the contract ID and the change details, including the date the change takes effect.

 **Token scopes**: `contracts:write`

Reference: https://developer.deel.com/api/reference/endpoints/global-payroll/update-employment-type-for-a-contract-v-2026-07-07

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — The unique identifier of the GP contract.

### Body (application/json)

This endpoint expects an object.

- `data` (GpContractsContractIdEmploymentTypePatchRequestBodyContentApplicationJsonSchemaData, required) — Employment-type change details, including the effective date.

## Response

### 200

OK

- `data` (GpContractsContractIdEmploymentTypePatchResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

403

- `code` (string, required)
- `status` (double, required)
- `defined` (boolean, required)
- `message` (string, required, default: The caller is not authorized to act on this contract.)
- `data` (any, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### GpContractsContractIdEmploymentTypePatchRequestBodyContentApplicationJsonSchemaData

Employment-type change details, including the effective date.

- `fte` (double, required) — Full-time equivalent for the new employment type, as a fraction between 0 and 1 (inclusive).
- `effective_date` (string, required) — The date from which the new employment type takes effect (YYYY-MM-DD).
- `employment_type` (enum, required) — The new employment type: EMPLOYEE_FT (full-time), EMPLOYEE_PT (part-time), or ON_LEAVE (on leave).
  - Allowed values: `EMPLOYEE_FT`, `EMPLOYEE_PT`, `ON_LEAVE`

### GpContractsContractIdEmploymentTypePatchResponsesContentApplicationJsonSchemaData

- `fte` (double, required) — The full-time equivalent for the updated employment type, as a fraction between 0 and 1 (inclusive).
- `contract_id` (string, required) — The unique identifier of the GP contract.
- `effective_date` (string, required) — The date from which the change takes effect.
- `employment_type` (enum, required) — The updated employment type.
  - Allowed values: `EMPLOYEE_FT`, `EMPLOYEE_PT`, `ON_LEAVE`

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Request**

```json
{
  "data": {
    "fte": 0.5,
    "effective_date": "2026-04-01",
    "employment_type": "EMPLOYEE_PT"
  }
}
```

**Response**

```json
{
  "data": {
    "fte": 0.5,
    "contract_id": "abc123xyz",
    "effective_date": "2026-04-01",
    "employment_type": "EMPLOYEE_PT"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/gp/contracts/abc123xyz/employment-type"

payload = { "data": {
        "fte": 0.5,
        "effective_date": "2026-04-01",
        "employment_type": "EMPLOYEE_PT"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/gp/contracts/abc123xyz/employment-type';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"fte":0.5,"effective_date":"2026-04-01","employment_type":"EMPLOYEE_PT"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/gp/contracts/abc123xyz/employment-type"

	payload := strings.NewReader("{\n  \"data\": {\n    \"fte\": 0.5,\n    \"effective_date\": \"2026-04-01\",\n    \"employment_type\": \"EMPLOYEE_PT\"\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/gp/contracts/abc123xyz/employment-type")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"fte\": 0.5,\n    \"effective_date\": \"2026-04-01\",\n    \"employment_type\": \"EMPLOYEE_PT\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/gp/contracts/abc123xyz/employment-type")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"fte\": 0.5,\n    \"effective_date\": \"2026-04-01\",\n    \"employment_type\": \"EMPLOYEE_PT\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/gp/contracts/abc123xyz/employment-type', [
  'body' => '{
  "data": {
    "fte": 0.5,
    "effective_date": "2026-04-01",
    "employment_type": "EMPLOYEE_PT"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/gp/contracts/abc123xyz/employment-type");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"fte\": 0.5,\n    \"effective_date\": \"2026-04-01\",\n    \"employment_type\": \"EMPLOYEE_PT\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "fte": 0.5,
    "effective_date": "2026-04-01",
    "employment_type": "EMPLOYEE_PT"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/gp/contracts/abc123xyz/employment-type")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```